NAME=picture

# FIXME These are not passed by latexmk.
#TEXFLAGS= -interaction nonstopmode
#TEXFLAGS= -shell-escape

default: pdf

all: dvi pdf ps

dvi:
	echo |latexmk -r latexmkrc -cd src/${NAME}.tex
	cp src/${NAME}.dvi .

pdf:
	echo |latexmk -r latexmkrc -pdf -cd src/${NAME}.tex
	cp src/${NAME}.pdf .

ps:
	echo |latexmk -r latexmkrc -ps -cd src/${NAME}.tex
	cp src/${NAME}.ps .

bib:
	sh -c 'cd src; for file in *.aux ; do bibtex $(basename $file .aux); done'

#odt:
#	cd work &&\
#	pandoc -o ${NAME}.odt ${NAME}.tex
#	mv work/${NAME}.odt .&& \
#	rm -r work

#odt:
#	latex ${TEXFLAGS} ${NAME}.tex&& \
#	latex ${TEXFLAGS} ${NAME}.tex&& \
#	latex ${TEXFLAGS} ${NAME}.tex&& \
#	bibtex ${NAME}.aux&& \
#	mk4ht oolatex ${NAME}.tex&& \
#	mk4ht oolatex ${NAME}.tex&& \
#	mk4ht oolatex ${NAME}.tex

#doc:
#	cd work &&\
#	pandoc -o ${NAME}.doc ${NAME}.tex
#	mv work/${NAME}.doc&& \
#	rm -r work

clean:
	latexmk -C -cd src src/${NAME}.tex
	rm -f src/${NAME}.dvi src/${NAME}.pdf src/${NAME}.ps
	rm -f ${NAME}.dvi ${NAME}.pdf ${NAME}.ps
	rm -f src/pdflatex*.fls src/${NAME}.bbl
	rm -f src/${NAME}-figure*.log src/${NAME}-figure*.md5 src/${NAME}-figure*.pdf src/${NAME}-figure*.dpth

tidy:
	latexmk -c -cd src/${NAME}.tex
	rm -f src/${NAME}.dvi src/${NAME}.pdf src/${NAME}.ps
